#!/bin/bash

## Create folders if not exists ##
mkdir -p /usr/local/bin/


## Copy new version according to architecture ##
if [ $(uname -a|grep -c 'x86_64') -ne 0 ]; then
	yes | cp -rf ./install_files/x64/flcli /usr/local/bin/flcli
	yes | cp -rf ./install_files/x64/gordon /usr/local/bin/gordon
	yes | cp -rf ./install_files/x64/libargtable2.so /usr/local/bin/libargtable2.so
	yes | cp -rf ./install_files/x64/libbuffer.so /usr/local/bin/libbuffer.so
	yes | cp -rf ./install_files/x64/liberror.so /usr/local/bin/liberror.so
	yes | cp -rf ./install_files/x64/libfpgalink.so /usr/local/bin/libfpgalink.so
	yes | cp -rf ./install_files/x64/libfx2loader.so /usr/local/bin/libfx2loader.so
	yes | cp -rf ./install_files/x64/libusbwrap.so /usr/local/bin/libusbwrap.so
else
	yes | cp -rf ./install_files/x32/flcli /usr/local/bin/flcli
	yes | cp -rf ./install_files/x32/gordon /usr/local/bin/gordon
	yes | cp -rf ./install_files/x32/libargtable2.so /usr/local/bin/libargtable2.so
	yes | cp -rf ./install_files/x32/libbuffer.so /usr/local/bin/libbuffer.so
	yes | cp -rf ./install_files/x32/liberror.so /usr/local/bin/liberror.so
	yes | cp -rf ./install_files/x32/libfpgalink.so /usr/local/bin/libfpgalink.so
	yes | cp -rf ./install_files/x32/libfx2loader.so /usr/local/bin/libfx2loader.so
	yes | cp -rf ./install_files/x32/libusbwrap.so /usr/local/bin/libusbwrap.so
fi


## Make executables ##
chmod a+x /usr/local/bin/flcli
chmod a+x /usr/local/bin/gordon
chmod a+x /usr/local/bin/libargtable2.so
chmod a+x /usr/local/bin/libbuffer.so
chmod a+x /usr/local/bin/liberror.so
chmod a+x /usr/local/bin/libfpgalink.so
chmod a+x /usr/local/bin/libfx2loader.so
chmod a+x /usr/local/bin/libusbwrap.so

